﻿
#about-title {
  padding-bottom: 0px;
}

#hgdm-tabs{
  border: none;
}
#hgdm-tabs ul {
    border: 1px solid #b567ac;
    border-radius: 100px;
    padding: 8px;
    display: grid;
    margin: 0 auto;
    grid-template-columns: auto auto;
    text-align: center;
    width: 100%;
    list-style: none;
}

#hgdm-tabs li a {
  font-size: 20px;
  line-height: 28px;
  border-radius: 100px;
  color: #b567ac;
  margin-bottom: 0;
  border: none;
}

#hgdm-tabs li a.nav-link.active {
  font-family: "IBMPlexSansThai-SemiBold";
  background-color: #b567ac;
  color: white;
  border-radius: 100px;
}

#hgdm-tabs li a:hover,
#hgdm-tabs li a:focus {
  border: none;
  margin-bottom: 0px;
  margin-top: 0px;
  transition: unset;
}

#herb-garden-map-details {
  position: relative;
  padding-bottom: 120px;
}

#herb-garden-map-details>img {
  position: absolute;
  bottom: 0;
  left: -50%;
  z-index: -1;
  opacity: 1;
  transform: scaleX(-1) translate(-50%, 40%);
}

.hmc-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  margin-top: 40px;
  align-items: stretch;
}

.hmc-item {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 20px;

}

.hmc-details {
  display: flex;
  flex-direction: column;
}

.hmc-serial {
  background: #b567ac;
  width: 35px;
  height: 35px;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.hmc-serial span {
  filter: drop-shadow(1px 2px 3px #00000080);
  color: white;
  font-family: "IBMPlexSansThai-Bold";
  font-size: 16px;
  line-height: 22px;
}

.hmc-title a {
  font-family: "IBMPlexSansThai-SemiBold";
  font-size: 16px;
  line-height: 28px;
  color: #333333;
  text-decoration: none;
}

.hmc-desc,
.hmc-desc a {
  font-size: 14px;
  line-height: 24px;
  color: #111111;
  text-decoration: none;
}

#hgdm-recommended-facilities,
#hgdm-entrances-buildings {
  margin: 0 auto;
  max-width: 70%;
}

#hgdm-recommended-facilities .hmc-list,
#hgdm-entrances-buildings .hmc-list {
  grid-template-columns: repeat(2, 1fr);
}

    #hgdm-recommended-facilities .hmc-serial, #hgdm-recommended-facilities .hmc-serial.zone {
        background: #CA9A32;
    }

        #hgdm-entrances-buildings .hmc-serial, #hgdm-recommended-facilities .hmc-serial.building {
            background: #766092;
        }

#mapWrapper {
  position: relative;
}

.marker {
  position: absolute;
  width: 30px;
  height: 35px;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  clip-path: polygon(0 0, 100% 0, 100% calc(100% - 10px), calc(50% + 18px) calc(100% - 15px), 50% 104%, calc(50% - 18px) calc(100% - 15px), 0 calc(100% - 10px));
}

.marker span {
  filter: drop-shadow(1px 2px 3px #00000080);
  color: white;
  font-family: "IBMPlexSansThai-Bold";
  font-size: 12px;
  line-height: 22px;
}

.marker.herbal {
  background: #B567AC;
  box-shadow: 1px 2px 3px 0px #00000080;

}

.marker.building {
  background: #766092;
}

.marker.zone {
  background: #CA9A32;
  box-shadow: 1px 2px 3px 0px #302100CF;
}

@media (max-width: 1200px) {
  .hmc-list {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 1024px) {
  .marker {
    width: 22px;
    height: 24px;
  }

  .marker span {
    font-size: 10px;
    line-height: 18px;
  }

  .marker img {
    max-width: 60%;
  }
  #hgdm-tabs{
    width:100%
  }
  #hgdm-tabs ul{
    border-radius: unset;
    padding:0px;
    margin-top:5px;
  }
  #hgdm-tabs li a.nav-link{
    border-radius: unset;
    background-color: white;
    font-size: 16px;
    line-height: 22px;
  }
  #hgdm-tabs li a.nav-link.active{
    background-color: #f0e6f0;
    color: #B567AC;
    font-weight: 500;
    border-radius: unset;
  }
  #hgdm-recommended-facilities, #hgdm-entrances-buildings{
    max-width: 100%;
  }
}

@media (max-width: 992px) {
  .marker {
    width: 20px;
    height: 22px;
  }

  .marker span {
    font-size: 8px;
    line-height: 14px;
  }

  .marker img {
    max-width: 60%;
  }
}

@media (max-width: 768px) {
  #herb-garden-map .container {
    padding-left: 15px;
    padding-right: 15px;
  }
  #hgdm-recommended-facilities .hmc-list, #hgdm-entrances-buildings .hmc-list, .hmc-list {
    grid-template-columns: 1fr;
  }

  .marker {
    width: 16px;
    height: 18px;
  }

  .marker span {
    font-size: 6px;
    line-height: 12px;
  }

  .marker img {
    max-width: 60%;
  }
}

@media (max-width: 576px) {
  .marker {
    width: 12px;
    height: 14px;
  }

  .marker span {
    font-size: 6px;
    line-height: 12px;
  }

  .marker img {
    max-width: 60%;
  }
}


@media (max-width: 425px) {
  .marker {
    width: 12px;
    height: 14px;
  }

  .marker span {
    font-size: 6px;
    line-height: 10px;
  }

  .marker img {
    max-width: 50%;
  }
}